import { PackageManager } from './utils/package-manager';
import { CI } from './utils/ci/ci-list';
export interface CreateWorkspaceOptions {
    name: string;
    packageManager: PackageManager;
    nxCloud: boolean;
    /**
     * @description Enable interactive mode with presets
     * @default true
     */
    interactive?: boolean;
    /**
     * @description Generate a CI workflow file
     * @default ''
     */
    ci?: CI;
    /**
     * @description Default base to use for new projects. e.g. main, master
     * @default 'main'
     */
    defaultBase?: string;
    /**
     * @description Skip initializing a git repository
     * @default false
     */
    skipGit?: boolean;
    commit?: {
        name: string;
        email: string;
        message: string;
    };
    cliName?: string;
}
