"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.showNxWarning = void 0;
const child_process_1 = require("child_process");
const path_1 = require("path");
const output_1 = require("../output");
function showNxWarning(workspaceName) {
    try {
        const pathToRunNxCommand = (0, path_1.resolve)(process.cwd(), workspaceName);
        (0, child_process_1.execSync)('nx --version', {
            cwd: pathToRunNxCommand,
            stdio: ['ignore', 'ignore', 'ignore'],
        });
    }
    catch (e) {
        // no nx found
        output_1.output.addVerticalSeparator();
        output_1.output.note({
            title: `Nx CLI is not installed globally.`,
            bodyLines: [
                `This means that you might have to use "yarn nx" or "npx nx" to execute commands in the workspace.`,
                `Run "yarn global add nx" or "npm install -g nx" to be able to execute command directly.`,
            ],
        });
    }
}
exports.showNxWarning = showNxWarning;
