"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pointToTutorialAndCourse = void 0;
const output_1 = require("../output");
const preset_1 = require("./preset");
function pointToTutorialAndCourse(preset) {
    const title = `First time using Nx? Check out this interactive Nx tutorial.`;
    switch (preset) {
        case preset_1.Preset.NPM:
        case preset_1.Preset.Apps:
            output_1.output.addVerticalSeparator();
            output_1.output.note({
                title,
                bodyLines: [
                    `https://nx.dev/getting-started/tutorials/package-based-repo-tutorial`,
                ],
            });
            break;
        case preset_1.Preset.TS:
            output_1.output.addVerticalSeparator();
            output_1.output.note({
                title,
                bodyLines: [
                    `https://nx.dev/getting-started/tutorials/integrated-repo-tutorial`,
                ],
            });
            break;
        case preset_1.Preset.ReactStandalone:
            output_1.output.addVerticalSeparator();
            output_1.output.note({
                title,
                bodyLines: [
                    `https://nx.dev/getting-started/tutorials/react-standalone-tutorial`,
                ],
            });
            break;
        case preset_1.Preset.ReactMonorepo:
        case preset_1.Preset.NextJs:
        case preset_1.Preset.NextJsStandalone:
            output_1.output.addVerticalSeparator();
            output_1.output.note({
                title,
                bodyLines: [`https://nx.dev/react-tutorial/1-code-generation`],
            });
            break;
        case preset_1.Preset.AngularStandalone:
            output_1.output.addVerticalSeparator();
            output_1.output.note({
                title,
                bodyLines: [
                    `https://nx.dev/getting-started/tutorials/angular-standalone-tutorial`,
                ],
            });
            break;
        case preset_1.Preset.AngularMonorepo:
            output_1.output.addVerticalSeparator();
            output_1.output.note({
                title,
                bodyLines: [`https://nx.dev/angular-tutorial/1-code-generation`],
            });
            break;
        case preset_1.Preset.Express:
        case preset_1.Preset.NodeStandalone:
            output_1.output.addVerticalSeparator();
            output_1.output.note({
                title,
                bodyLines: [
                    `https://nx.dev/getting-started/tutorials/node-server-tutorial`,
                ],
            });
            break;
    }
}
exports.pointToTutorialAndCourse = pointToTutorialAndCourse;
