export declare enum Preset {
    Apps = "apps",
    Empty = "empty",
    Core = "core",
    NPM = "npm",
    TS = "ts",
    WebComponents = "web-components",
    AngularMonorepo = "angular-monorepo",
    AngularStandalone = "angular-standalone",
    ReactMonorepo = "react-monorepo",
    ReactStandalone = "react-standalone",
    VueMonorepo = "vue-monorepo",
    VueStandalone = "vue-standalone",
    NextJs = "next",
    NextJsStandalone = "nextjs-standalone",
    ReactNative = "react-native",
    Expo = "expo",
    Nest = "nest",
    Express = "express",
    React = "react",
    Angular = "angular",
    NodeStandalone = "node-standalone",
    NodeMonorepo = "node-monorepo",
    TsStandalone = "ts-standalone"
}
/**
 * This function is used to check if a preset is a known Nx preset.
 * @param preset
 * @returns true if the preset is a known Nx preset, false otherwise.
 */
export declare function isKnownPreset(preset: string): preset is Preset;
